#ifndef BUFFER
#define BUFFER

#include <vector>
#include <GL/gl.h>

template <class T>
unsigned int sizevec(const std::vector<T> &p_vec) { return sizeof(T) * p_vec.size(); }

class Buffer
{
  public:
    Buffer()
    {
        glGenBuffers(1, &m_vbo);
    }

    ~Buffer()
    {
        glDeleteBuffers(1, &m_vbo);
    }

    GLuint getBuffer()
    {
        return m_vbo;
    }

  private:
    GLuint m_vbo;
};

#endif // BUFFER
